TStatementArgument
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TStatementArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TStatementArgument

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TArgument
          uk.ac.ic.doc.automed.templates.wrapper.TStatementArgument

    public class TStatementArgument

extends TArgument

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TArgument
`position`

Constructor Summary
`protected` | `TStatementArgument(TStatement parentStatement, TemplateArgumentSequence argSeq, int position)`
`protected` | `TStatementArgument(uk.ac.ic.doc.automed.templates.wrapper.TType type, TStatement parentStatement, TemplateArgumentSequence argSeq, int position)`

Method Summary
`protected void` | `createArgumentInRepository()`
`protected TemplateArgumentSequence` | `getArgumentSequence()`
`protected java.lang.String` | `getDescription()`
`protected int` | `getPosition()`
`protected uk.ac.ic.doc.automed.templates.wrapper.TType` | `getType()`
`protected int` | `getTypeID()`
`protected int` | `getTypeInstance()`
`protected boolean` | `isComplete()`
`protected boolean` | `isConstraints()`
`protected boolean` | `isFunction()`
`protected boolean` | `isInRepository()`
`protected boolean` | `isList()`
`protected boolean` | `isName()`
`protected boolean` | `isObject()`
`protected boolean` | `isSchema()`
`protected boolean` | `isString()`
`protected int` | `numberOfElements()`
`protected TStatement` | `parentStatement()`
`protected void` | `resetArgumentSequence(TemplateArgumentSequence argumentSequence)`
`protected void` | `setArgument(java.lang.String s)`
`protected void` | `setArgument(TArgument t)`
`protected void` | `setArgument(TemplateArgumentSequence tas)`
`protected void` | `setPosition(int pos)`
`protected void` | `setType(uk.ac.ic.doc.automed.templates.wrapper.TType t)`
`protected void` | `setTypeInstance(int inst)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TStatementArgument

    protected TStatementArgument(TStatement parentStatement,
                                 TemplateArgumentSequence argSeq,
                                 int position)

### TStatementArgument

    protected TStatementArgument(uk.ac.ic.doc.automed.templates.wrapper.TType type,
                                 TStatement parentStatement,
                                 TemplateArgumentSequence argSeq,
                                 int position)

Method Detail

### setPosition

    protected void setPosition(int pos)

### resetArgumentSequence

    protected void resetArgumentSequence(TemplateArgumentSequence argumentSequence)

### getPosition

    protected int getPosition()

  Overrides:
    `getPosition` in class `TArgument`

### getArgumentSequence

    protected TemplateArgumentSequence getArgumentSequence()

### getTypeID

    protected int getTypeID()

  Specified by:
    `getTypeID` in class `TArgument`

### getType

    protected uk.ac.ic.doc.automed.templates.wrapper.TType getType()

  Specified by:
    `getType` in class `TArgument`

### getTypeInstance

    protected int getTypeInstance()

  Specified by:
    `getTypeInstance` in class `TArgument`

### setTypeInstance

    protected void setTypeInstance(int inst)

  Specified by:
    `setTypeInstance` in class `TArgument`

### getDescription

    protected java.lang.String getDescription()

### parentStatement

    protected TStatement parentStatement()

### setArgument

    protected void setArgument(java.lang.String s)

### setArgument

    protected void setArgument(TArgument t)
                        throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setArgument

    protected void setArgument(TemplateArgumentSequence tas)
                        throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setType

    protected void setType(uk.ac.ic.doc.automed.templates.wrapper.TType t)

  Specified by:
    `setType` in class `TArgument`

### isComplete

    protected boolean isComplete()

### isObject

    protected boolean isObject()

  Specified by:
    `isObject` in class `TArgument`

### isList

    protected boolean isList()

  Specified by:
    `isList` in class `TArgument`

### isSchema

    protected boolean isSchema()

  Specified by:
    `isSchema` in class `TArgument`

### isFunction

    protected boolean isFunction()

  Specified by:
    `isFunction` in class `TArgument`

### isConstraints

    protected boolean isConstraints()

  Specified by:
    `isConstraints` in class `TArgument`

### isName

    protected boolean isName()

  Specified by:
    `isName` in class `TArgument`

### isString

    protected boolean isString()

  Specified by:
    `isString` in class `TArgument`

### numberOfElements

    protected int numberOfElements()

  Specified by:
    `numberOfElements` in class `TArgument`

### isInRepository

    protected boolean isInRepository()

### createArgumentInRepository

    protected void createArgumentInRepository()
                                       throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD